<?php
/*
*  @author metacreo <metacreo@newestvision.com>
*/

class SimpleSecurityAction extends ObjectModel
{
    public $id;
    public $site;
    public $action;
    public $attempt;
    public $detected;
    public $email;
    public $block_email = 0;
    public $password;
    public $ip_address;
    public $block_ip = 0;
    public $referer;
    public $user_agent;
    public $accept;
    public $accept_lang;
    public $cookie;
    public $date;

    public static $definition = [
        'table' => 'simplesecurity_action',
        'primary' => 'id',
        'fields' => [
            'action' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'attempt' => ['type' => self::TYPE_INT, 'validate' => 'isUnsignedId'],
            'detected' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'email' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'block_email' => ['type' => self::TYPE_INT, 'validate' => 'isUnsignedId'],
            'password' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'ip_address' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'block_ip' => ['type' => self::TYPE_INT, 'validate' => 'isUnsignedId'],
            'referer' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'user_agent' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'accept' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'accept_lang' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'cookie' => ['type' => self::TYPE_STRING,  'validate' => 'isString'],
            'date' => ['type' => self::TYPE_DATE,  'validate' => 'isDateFormat'],
        ]
    ];
}
